Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core
Interface IBaseModel

All Superinterfaces:
  IAdaptable

All Known Subinterfaces:
  IBuildModel, IExtensionsModel, IFragmentModel, IModel, IPluginModel, IPluginModelBase, ISharedExtensionsModel, ISharedPluginModel

public interface IBaseModel
extends IAdaptable

A base generic model. Classes that implement this interface are expected to be able to:

- Dispose (clear all the data and reset)
- Tell if they are editable
- Tell if they contain valid data

Since:
  2.0

Method Summary
`void` | `dispose()` Releases all the data in this model and clears the state.
`boolean` | `isDisposed()` Tests if this model has been disposed.
`boolean` | `isEditable()` Tests if this model can be modified.
`boolean` | `isValid()` Tests if this model valid.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### dispose

    public void dispose()

  Releases all the data in this model and clears the state. A disposed model can be returned to the normal state by reloading.

### isDisposed

    public boolean isDisposed()

  Tests if this model has been disposed. Disposed model cannot be used until it is loaded/reloaded.

  Returns:
    `true` if the model has been disposed

### isEditable

    public boolean isEditable()

  Tests if this model can be modified. Modification of a model that is not editable will result in CoreException being thrown.

  Returns:
    `true` if this model can be modified

### isValid

    public boolean isValid()

  Tests if this model valid. When models are loaded from the file, they may pass the syntax error checking and load all the model objects. However, some of the objects may contain invalid values that make the model unusable.

  Returns:
    `true` only if the model can be safely used in all computations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.